> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gravitex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get video generation task

> Seedance 2.0 New GET /api/v3/contents/generations/tasks/{id}

## Introduction

Query task status and result by task `id`. Response body matches the BytePlus Ark official query API.

## Authentication

<ParamField header="Authorization" type="string" required>
  Bearer Token, e.g. `Bearer sk-your_token_key`
</ParamField>

## Path parameters

<ParamField path="id" type="string" required>
  Task `id` returned from create
</ParamField>

## Status reference

| Field    | Description                                                             |
| -------- | ----------------------------------------------------------------------- |
| `status` | `queued` / `running` / `cancelled` / `succeeded` / `failed` / `expired` |
| `error`  | Non-`null` on failure: `{"code": "...", "message": "..."}`              |

## Request example

```bash theme={null}
curl https://api.gravitex.ai/api/v3/contents/generations/tasks/cgt-20260708094649-mxfjc \
  -H "Authorization: Bearer sk-your_token_key"
```

## Response example

```json theme={null}
{
  "id": "cgt-20260708094649-mxfjc",
  "model": "seedance-2-0",
  "status": "succeeded",
  "error": null,
  "created_at": 1783475210,
  "updated_at": 1783475364,
  "content": {
    "video_url": "https://...",
    "last_frame_url": "https://..."
  },
  "seed": 11,
  "resolution": "720p",
  "ratio": "16:9",
  "duration": 5,
  "generate_audio": true,
  "safety_identifier": "user-hash-abc",
  "service_tier": "default",
  "execution_expires_after": 172800,
  "usage": {
    "completion_tokens": 40594,
    "total_tokens": 40594
  }
}
```
